package de.fraunhofer.iem.dataprovider.gitlab

import de.fraunhofer.iem.dataprovider.taskManager.TaskManager
import de.fraunhofer.iem.dataprovider.taskManager.model.RepoChangedEvent
import org.springframework.stereotype.Service


@Service
class GitlabService(
    private val openCodeGitlabConfiguration: OpenCodeGitlabConfiguration,
    private val taskManager: TaskManager
) {

    suspend fun queryOpenCodeProject(repoId: Long) {
        taskManager.addEvent(RepoChangedEvent(repoId = repoId, gitConfiguration = openCodeGitlabConfiguration))
    }

}