package de.fraunhofer.iem.dataprovider.taskManager.tasks

import de.fraunhofer.iem.dataprovider.taskManager.model.Event
import de.fraunhofer.iem.dataprovider.toolRun.ToolRunService
import org.springframework.core.io.ClassPathResource
import org.springframework.core.io.Resource
import java.nio.file.Path
import java.nio.file.Paths
import java.util.*

class OdcTask(
    projectPath: String, outputPath: String,
    override val responseChannel: suspend (task: Event) -> Unit,
    override val repoId: UUID,
    override val groupID: UUID? = null,
    override val toolRunService: ToolRunService
) : SarifTask() {

    private val resource: Resource = ClassPathResource("scripts/odc.sh")
    override val flags: Array<String> = arrayOf(resource.file.absolutePath, outputPath, projectPath)
    override val execPath: String = "/bin/sh"
    override val resultPath: Path = Paths.get(outputPath, "odc", "dependency-check-report.sarif")
}
