#!/bin/sh

DC_DIRECTORY=${1}/odc
DC_PROJECT="dependency-check scan: ${2}"
DATA_DIRECTORY="/tmp/opencode/data" # TODO: make this configurable !
CACHE_DIRECTORY="/tmp/opencode/data/cache" # TODO: make this configurable !

if [ ! -d "$DATA_DIRECTORY" ]; then
    echo "Initially creating persistent directory: $DATA_DIRECTORY"
    mkdir -p "$DATA_DIRECTORY"
fi
if [ ! -d "$CACHE_DIRECTORY" ]; then
    echo "Initially creating persistent directory: $CACHE_DIRECTORY"
    mkdir -p "$CACHE_DIRECTORY"
fi


docker run --rm \
    --volume "${2}":/src:z \
    --volume "$DATA_DIRECTORY":/usr/share/dependency-check/data:z \
    --volume "$DC_DIRECTORY":/odc:z \
    odc \
    --scan /src \
    --format "ALL" \
    --project "$DC_PROJECT" \
    --data /usr/share/dependency-check/data \
    --out /odc
    # Use suppression like this: (where /src == $pwd)
    # --suppression "/src/security/dependency-check-suppression.xml"